#delimit;
log using do\clchsize,replace;

*************************************************************;
*                                                           *;
*    Name    : CLCHSIZE.DO              V : 01              *;
*    Date    : AUGUST 25, 1994                              *;
*    Infile  : M6_HROST                                     *;
*    Outfile : HHSIZE                                       *;
*                                                           *;
*    OBJECTIVE: Calculate houshold size                     *;
*                                                           *;
*************************************************************;
clear;
set maxobs 45000;

use m6_hrost;
gen a=1 if hhid>0;
gen b=1 if mcode==1;

collapse a b, sum(hhsizep hhsizem) by(hhid);

lab data "HOUSEHOLD SIZE";
lab var hhsizep "HH Size All";
lab var hhsizem "HH Size Memebers";

save hhsize,replace;

log close;

